
#ИЗВИНИТЕ ЗА МАТ

## Описание

Этот проект разработан для загрузки и обработки видео файлов (MP4) и файлов шахматных партий (PGN) с использованием библиотек `Streamlit`, 'MoviePy'. Основная функция программы заключается в поиске и обработке интересных моментов в шахматных партиях и озвучке с помощью сервиса elevenlabs.

## Функционал

- Загрузка файлов MP4 и PGN через пользовательский интерфейс. Указываем время фактического начала партии(то есть первого хода)
- Интеграция с моделью GPT-4 для анализа шахматных партий.
- Озвучка при помощи elevenlabs.io
- Обрезка и обработка видеофрагментов по заданным временным меткам.
- Вывод результатов в видео проигрывателе на веб-странице.

## Установка и запуск

1. **Клонировать репозиторий:**
   ```
   git clone [URL репозитория]
   cd [название папки репозитория]
```
2. Установка зависимостей:
MoviePy автоматически использует FFmpeg для обработки видеофайлов, но иногда требуется установить FFmpeg отдельно.

```
pip install moviepy
```
Для Windows:

Скачайте последнюю версию FFmpeg с официального сайта FFmpeg.
Распакуйте архив в удобное место.
Добавьте путь к исполняемым файлам FFmpeg (bin директория) в переменную среды PATH.

Для macOS:

Установите FFmpeg с помощью Homebrew:
bash
Копировать код
brew install ffmpeg

Для Linux:

Установите FFmpeg через менеджер пакетов вашего дистрибутива:
bash
Копировать код
sudo apt update
sudo apt install ffmpeg  # Для Ubuntu/Debian
sudo dnf install ffmpeg  # Для Fedora

Установка и библиотека openAi
```
pip install openai

```


Использование
После запуска приложения откройте ваш браузер по адресу http://localhost:8501. Используйте интерфейс для загрузки файлов и ввода необходимых данных для обработки видео.

Главная страница
Загрузка файлов: Выберите файлы MP4 и PGN для загрузки.
Ввод времени: Укажите время начала интересного момента в видео.
Обработка: Нажмите кнопку "Обработать видео" для начала обработки.
Страница просмотра видео
Просмотр видео: На этой странице можно просмотреть результаты обработки.
